<?php
require_once 'includes/helpers.php';
SetTimeZone();

$authentication = new Authentication();
$authentication->CheckAuthentication();

$role = $_SESSION["role"];
$can_export = $authentication->CanExport($role , Modules::INVOICES );
$totalRefund = 0;

$validation = new Validation();
if (isset($_GET['startdate'])) {
    $dt1 = $_GET['startdate'];
    $dt2 = $_GET['enddate'];
    $validation->ValidateDateParameter($dt1);
    $validation->ValidateDateParameter($dt2);
} else {
    $dt1 = date('m/d/y');
    $dt2 = date('m/d/y');
}

function Formula($payment_mode, $is_down_payment){
    global $dt1, $dt2;
    $start_dt = date('Y-m-d', strtotime($dt1));
    $end_dt = date('Y-m-d', strtotime($dt2));

    $filter = " date(p.recieved_date) BETWEEN '$start_dt' AND '$end_dt'";
    $is_down_payment = ($is_down_payment) ? 1 : 0;

    if($payment_mode == "Credit")
        $filter .= " AND p.`payment_mode` != 'Check' AND p.`payment_mode` != 'Cash'";
    else
        $filter .= " AND p.`payment_mode` = '$payment_mode'";

    return ExecuteScalar("SELECT SUM(collection) FROM payment_collection p WHERE $filter AND is_dp = $is_down_payment");
}

$down["Cash"] = Formula("Cash", 1);
$down["Check"] = Formula("Check", 1);
$down["Credit"] = Formula("Credit", 1);

$collected["Cash"] = Formula("Cash", 0);
$collected["Check"] = Formula("Check", 0);
$collected["Credit"] = Formula("Credit", 0);

$total["Cash"] = $down["Cash"] + $collected["Cash"];
$total["Check"] = $down["Check"] + $collected["Check"];
$total["Credit"] = $down["Credit"] + $collected["Credit"];

?>
<!DOCTYPE html>
<!-- 
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8"/>
    <title>View Daily Transactions</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN PAGE LEVEL STYLES -->
    <link rel="stylesheet" type="text/css" href="assets/plugins/bootstrap-datepicker/css/datepicker.css"/>

    <link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css"/>
    <link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css"/>
    <!-- END PAGE LEVEL STYLES -->
    <!-- BEGIN THEME STYLES -->
    <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
    <!-- END THEME STYLES -->
    <link rel="shortcut icon" href="favicon.ico"/>
</head>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
<!-- BEGIN HEADER -->
<div class="header navbar navbar-inverse navbar-fixed-top">
    <!-- BEGIN TOP NAVIGATION BAR -->
    <div class="header-inner">
        <!-- BEGIN LOGO -->
        <a class="navbar-brand" href="index.html">
            POS SYSTEM
        </a>
        <!-- END LOGO -->
        <!-- BEGIN RESPONSIVE MENU TOGGLER -->
        <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <img src="assets/img/menu-toggler.png" alt=""/>
        </a>
        <!-- END RESPONSIVE MENU TOGGLER -->
        <!-- BEGIN TOP NAVIGATION MENU -->
        <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
                <a href="index.php" class="dropdown-toggle">
                    Logout
                </a>
            </li>
        </ul>
    </div>
</div>

<!-- END HEADER -->
<div class="clearfix"></div>
<!-- BEGIN CONTAINER -->
<div class="page-container">
<!-- BEGIN SIDEBAR -->
<?php include('menu.php'); ?>
<!-- END SIDEBAR -->
<!-- BEGIN PAGE -->
<div class="page-content">
<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Modal title</h4>
            </div>
            <div class="modal-body">
                <form action="insertreceivables.php" method="post" class="form-horizontal" id="form_receivables">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Payment Due</label>

                                    <div class="col-md-6">
                                        <input type="hidden" class="form-control" name="downpayment" id="downpayment"
                                               value="">
                                        <label class="control-label" id="downpayment1"></label>
                                        <input type="hidden" id="invoice_id" name="invoice_id">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Payment Mode</label>

                                    <div class="col-md-6">
                                        <select class="form-control select2me" name="paymentmode" id="sales">
                                            <option>Cash</option>
                                            <option>Check</option>
                                            <option>Credit Card(Visa)</option>
                                            <option>Credit Card(Matercard)</option>
                                            <option>Credit Card(Amex)</option>
                                            <option>Credit Card(Discover)</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Collection </label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="collection" id="collection"
                                               value="">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Comments </label>

                                    <div class="col-md-6">
                                        <textarea class="form-control" name="comments"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" id="btn_receivables" class="btn blue">Save changes</button>
                <button type="button" class="btn default" data-dismiss="modal">Close</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<!-- BEGIN STYLE CUSTOMIZER -->

<!-- BEGIN PAGE HEADER-->
<div class="row hidden-print">
    <div class="col-md-12">
        <!-- BEGIN PAGE TITLE & BREADCRUMB-->
        <div class="table-toolbar pull-right">

            <?php if($can_export) { ?>
                <a class="btn btn-lg green hidden-print"
                   href='dailyexport.php?start_date=<?php echo $dt1 . '&end_date=' . $dt2; ?>'">Export <i
                        class="icon-print"></i>
                </a>
            <?php } ?>

        </div>

        <h3 class="page-title">
            View Daily Transactions
        </h3>
        <!-- Add Down| Cash | Credit Card = Total & Collection  | Cash | Credit Card = Total & Total -->



        <div class="row form-group">
            <label class="control-label col-md-3">Date Range</label>
            <div class="col-md-3">
                <input class="form-control form-control-inline input-medium date-picker" id="dt" size="16" type="text"
                       placeholder="Start Date" value="">

            </div>
            <div class="col-md-3">
                <input class="form-control form-control-inline input-medium date-picker" id="dt1" size="16" type="text"
                       placeholder="End Date" value="">

            </div>
        </div>
    </div>
</div>

<!-- END PAGE HEADER-->
<!-- BEGIN PAGE CONTENT-->
<br>

<div class="row">
<div class="col-md-12">
<!-- BEGIN EXAMPLE TABLE PORTLET-->
<div class="portlet box blue">
<div class="portlet-title">
    <div class="caption"><i class="icon-edit"></i>Daily Transaction  <?php if (isset($_GET['startdate'])) {
            $dt1 = $_GET['startdate'];
            $dt2 = $_GET['enddate'];
            echo date('m/d/y', strtotime($dt1)) . ' TO ' . date('m/d/y', strtotime($dt2));
        } else {
            echo date('m/d/y');
        }?></div>

</div>
<div class="portlet-body">
<div class="table-toolbar">


</div>
<table class="table table-striped table-hover table-bordered" id="sample_editable_1">
<thead>
<tr>

    <th>Invoice #</th>
    <th>Name</th>
    <th>Sales Person</th>
    <th>Source</th>

    <th>Date</th>
    <th>Type</th>
    <th>Cash</th>

    <th>Check</th>
    <th>Visa</th>
    <th>Master Card</th>
    <th>Amex</th>
    <th>Discover</th>
    <th>Comments</th>
    <th>Refunds</th>

</tr>
</thead>
<tbody>

<?php
if (isset($_GET['startdate'])) {
    $dt1 = $_GET['startdate'];
    $dt2 = $_GET['enddate'];
    $start_dt = date('Y-m-d', strtotime($dt1));
    $end_dt = date('Y-m-d', strtotime($dt2));
} else {
    //$dt = date('Y-m-d');
    $start_dt = date('Y-m-d');
    $end_dt = date('Y-m-d');
}

$st = $_SESSION['store_id'];
$sql = "
SELECT 
	invoice_total.*,
	lname,
	fname,
	collection,
	is_dp,
	emp_name,
	source,
	invoice_total.id AS id1,
	invoice_total.contact_id AS cid, 
	payment_collection.payment_mode AS pm,
	payment_collection.comments AS cm1,
	payment_collection.`recieved_date`
FROM
	invoice_total 
INNER JOIN
	payment_collection 
ON
	payment_collection.invoice_id = invoice_total.id 
INNER JOIN
	contacts
ON 
	invoice_total.contact_id = contacts.id 
INNER JOIN
	employee_master 
ON 
	invoice_total.sales_id = employee_master.emp_id	
WHERE 
	DATE(payment_collection.recieved_date) BETWEEN '$start_dt' AND '$end_dt'
AND 
	invoice_total.store_id = '$st'
	
UNION ALL


SELECT 
	invoice_total.*,
	lname,
	fname,
	-amount AS collection,
	2 AS is_dp,
	emp_name,
	source,
	invoice_total.id AS id1,
	invoice_total.contact_id AS cid, 
	refunds.`payment_mode` AS pm,
	refunds.`comments` AS cm1,
	`recieved_date`
FROM
	invoice_total 
INNER JOIN
	contacts
ON 
	invoice_total.contact_id = contacts.id 
INNER JOIN
	employee_master 
ON 
	invoice_total.sales_id = employee_master.emp_id
INNER JOIN
	refunds
ON
	refunds.`invoice_id` = invoice_total.`id`	
WHERE 	
	DATE(refunds.recieved_date) BETWEEN '$start_dt' AND '$end_dt'
AND 
	invoice_total.store_id = '$st'
";

//function FormatPayment($amount)
//{
//    if ($amount == '') return '';
//
//    return ($amount >= 0) ? '$' . round($amount, 2) : '$(' . round(-$amount, 2) . ')';
//}

function getTotalValue($payment_mode)
{
    global $start_dt, $end_dt, $st;

    $query1 = mysql_query("SELECT
			IFNULL((SELECT SUM(collection)
			FROM payment_collection INNER JOIN invoice_total ON payment_collection.invoice_id = invoice_total.id 
			WHERE DATE(recieved_date) BETWEEN '$start_dt' AND '$end_dt' AND payment_collection.payment_mode = '$payment_mode' AND store_id = '$st'), 0)

			-

			IFNULL((SELECT SUM(amount)
			FROM refunds INNER JOIN invoice_total ON refunds.`invoice_id` = invoice_total.`id`
			WHERE DATE(recieved_date) BETWEEN '$start_dt' AND '$end_dt' AND refunds.payment_mode = '$payment_mode' AND store_id = '$st'), 0)

			AS TotalCollection");

    $row = mysql_fetch_array($query1);
    return FormatPayment($row["TotalCollection"]);
}

$sql1 = "SELECT *, downpayment as collection, payment_mode as pm FROM invoice_total WHERE DATE( date ) between '$start_dt' and '$end_dt' and  AND invoice_total.store_id =  '$st'";

$query = mysql_query($sql);
$query1 = mysql_query($sql1);

while ($row = mysql_fetch_array($query)) {
    ?>
    <tr>

        <td><a href="viewinvoice.php?id=<?php echo $row['id1']; ?>">#<?php echo $row['invoice_num']; ?></a></td>
        <td>
            <a href="editcontact.php?id=<?php echo $row['cid']; ?>"><?php echo $row['lname'] . ', ' . $row['fname']; ?></a>
        </td>
        <td><?php echo $row['emp_name']; ?></td>
        <td><?php echo $row['source']; ?></td>
        <td><?php echo $d1 = date('m/d/y H:i:s', strtotime($row['recieved_date']));

           //echo date('m/d/y',strtotime($d1. " +1 month "));
            ?></td>
        <td><?php $is_dp = $row['is_dp'];
            if ($is_dp == '1') {
                echo "Down";
            } elseif ($is_dp == '0') {
                echo "Collection";
            } else {
                echo "Refund";
            } ?></td>
        <?php if ($row['pm'] == 'Cash') {
            ?>
            <td><?php echo FormatPayment($row['collection']); ?></td>
        <?php } else { ?>
            <td></td>
        <?php } ?>
        <?php if ($row['pm'] == 'Check') {
            ?>
            <td><?php echo FormatPayment($row['collection']); ?></td>
        <?php } else { ?>
            <td></td>
        <?php } ?>
        <?php if ($row['pm'] == 'Credit Card(Visa)') {
            ?>
            <td><?php echo FormatPayment($row['collection']); ?></td>
        <?php } else { ?>
            <td></td>
        <?php } ?>
        <?php if ($row['pm'] == 'Credit Card(Matercard)') {
            ?>
            <td><?php echo FormatPayment($row['collection']); ?></td>
        <?php } else { ?>
            <td></td>
        <?php } ?>
        <?php if ($row['pm'] == 'Credit Card(Amex)') {
            ?>
            <td><?php echo FormatPayment($row['collection']); ?></td>
        <?php } else { ?>
            <td></td>
        <?php } ?>
        <?php if ($row['pm'] == 'Credit Card(Discover)') {
            ?>
            <td><?php echo FormatPayment($row['collection']); ?></td>
        <?php } else { ?>
            <td></td>
        <?php } ?>
        <td><?php echo $row['cm1']; ?></td>

        <?php $sql2 = "select sum(amount) as amount1 from refunds where invoice_id = " . $row['id1'];
        $query2 = mysql_query($sql2);
        $rw3 = mysql_fetch_array($query2);
        $totalRefund += (int)($rw3['amount1']);
        ?>
        <td><?php echo FormatPayment($rw3['amount1']); ?></td>
    </tr>
<?php } ?>


<tr style="background-color:#FFCCCC">
    <td># Total</td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td><?php echo getTotalValue("Cash"); ?></td>
    <td><?php echo getTotalValue("Check"); ?></td>
    <td><?php echo getTotalValue("Credit Card(Visa)"); ?></td>
    <td><?php echo getTotalValue("Credit Card(Matercard)"); ?></td>
    <td><?php echo getTotalValue("Credit Card(Amex)"); ?></td>
    <td><?php echo getTotalValue("Credit Card(Discover)"); ?></td>
    <td></td>
    <td><?php echo $totalRefund; ?></td>
</tr>

</tbody>
</table>
</div>
</div>

<div class="row">
    <div class="portlet-body">
        <table class="table table-striped table-hover table-bordered">
            <thead>
            <tr>
                <th></th>
                <th>Cash</th>
                <th>Check</th>
                <th>Credit</th>
                <th>Total</th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td>Down</td>
                <td><?php echo FormatPayment($down["Cash"]); ?></td>
                <td><?php echo FormatPayment($down["Check"]); ?></td>
                <td><?php echo FormatPayment($down["Credit"]); ?></td>
                <td><?php echo FormatPayment($down["Cash"] + $down["Check"] + $down["Credit"]); ?></td>
            </tr>
            <tr>
                <td>Collected</td>
                <td><?php echo FormatPayment($collected["Cash"]); ?></td>
                <td><?php echo FormatPayment($collected["Check"]); ?></td>
                <td><?php echo FormatPayment($collected["Credit"]); ?></td>
                <td><?php echo FormatPayment($collected["Cash"] + $collected["Check"] + $collected["Credit"]); ?></td>
            </tr>
            <tr>
                <td>Total</td>
                <td><?php echo FormatPayment($total["Cash"]); ?></td>
                <td><?php echo FormatPayment($total["Check"]); ?></td>
                <td><?php echo FormatPayment($total["Credit"]); ?></td>
                <td><?php echo FormatPayment($total["Cash"] + $total["Check"] + $total["Credit"]); ?></td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
<!-- END EXAMPLE TABLE PORTLET-->
</div>
</div>
<!-- END PAGE CONTENT -->
</div>
<!-- END PAGE -->
</div>
<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
<div class="footer">
    <div class="footer-inner">
        2014 &copy; POS System.
    </div>
    <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
    </div>
</div>
<!-- END FOOTER -->
<!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->

<!-- BEGIN CORE PLUGINS -->
<!--[if lt IE 9]>
<script src="assets/plugins/respond.min.js"></script>
<script src="assets/plugins/excanvas.min.js"></script>
<![endif]-->
<script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
        type="text/javascript"></script>
<script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
<script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript"></script>
<!-- END CORE PLUGINS -->

<script type="text/javascript" src="assets/plugins/fuelux/js/spinner.min.js"></script>
<script type="text/javascript" src="assets/plugins/ckeditor/ckeditor.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-fileupload/bootstrap-fileupload.js"></script>
<script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-wysihtml5/wysihtml5-0.3.0.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-wysihtml5/bootstrap-wysihtml5.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>
<script type="text/javascript" src="assets/plugins/clockface/js/clockface.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-daterangepicker/moment.min.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-timepicker/js/bootstrap-timepicker.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js"></script>
<script type="text/javascript" src="assets/plugins/jquery.input-ip-address-control-1.0.min.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.multi-select.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.quicksearch.js"></script>
<script src="assets/plugins/jquery.pwstrength.bootstrap/src/pwstrength.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-switch/static/js/bootstrap-switch.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery-tags-input/jquery.tagsinput.min.js" type="text/javascript"></script>


<!-- BEGIN PAGE LEVEL PLUGINS -->
<!--<script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>-->
<script type="text/javascript" src="assets/plugins/data-tables/jquery.dataTables.js"></script>
<script type="text/javascript" src="assets/plugins/data-tables/DT_bootstrap.js"></script>
<script src="assets/scripts/form-components.js"></script>
<!-- END PAGE LEVEL PLUGINS -->
<!-- BEGIN PAGE LEVEL SCRIPTS -->
<script src="assets/scripts/app.js"></script>
<script src="assets/scripts/table-editable.js"></script>
<script>
    jQuery(document).ready(function () {
        App.init();
        TableEditable.init();
        FormComponents.init();

    });
</script>
<script>
    $('.open_modal').click(function () {
        var id = $(this).data('id1');
        var bal = $(this).data('id');
        $('#invoice_id').val(id);
        $('#downpayment').val(bal);
        $('#downpayment1').html('$' + bal);

    });
</script>
<script>
    $('#btn_receivables').click(function () {
        $('#form_receivables').submit();
    });
</script>
<script>

    $('#dt').datepicker({
        startDate: "2014-01-01"
    });

    $('#dt1').datepicker({
        startDate: "2014-01-01"
    });

    $('#dt1').change(function () {
        var a = $('#dt').val();
        var b = $('#dt1').val();
        location.href = 'daily_transac.php?startdate=' + a + '&enddate=' + b;
        //$('#sample_editable_1_filter .input-medium').val(a);
    });
</script>
</body>
<!-- END BODY -->
</html>