<?php
require_once 'includes/helpers.php';
SetTimeZone();
$authentication = new Authentication();
$authentication->CheckAuthentication();

require_once('classes/DoseController.php');
global $DoseController;
$validation = new Validation();
$st_id = (isset($_GET['id'])) ? $_GET['id'] : $_SESSION["store_id"];
$qtyLeft = (isset($_GET['qtyLeft'])) ? $_GET['qtyLeft'] : "";

$role = $_SESSION["role"];
$can_export = $authentication->CanExport($role , Modules::DOSE_ORDERS );

if (isset($_GET['id'])){
    $id = $_GET['id'];
    $validation->ValidateNumericParameter($id);
}

$filterDate = "";
$dt1 = "";
$dt2 = "";
if (isset($_GET['startdate']) && isset($_GET['enddate'])) {
    $dt1 = $_GET['startdate'];
    $dt2 = $_GET['enddate'];

    $validation->ValidateDateParameter($dt1);
    $validation->ValidateDateParameter($dt2);

    $start_dt = date('Y-m-d', strtotime($dt1));
    $end_dt = date('Y-m-d', strtotime($dt2));

    $filterDate = " BETWEEN '$start_dt' AND '$end_dt'";
} else {
    $start_dt = date("Y-m-d", strtotime('first day of this month'));
    $end_dt = date("Y-m-d", strtotime("last day of this month"));

    $filterDate = " BETWEEN '$start_dt' AND '$end_dt'";
}

$showAllStores = isset($_GET['showAllStores']);
$uid = $_SESSION["userid"];
?>
<!DOCTYPE html>
<!-- 
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8"/>
    <title>Dose Orders Summary</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN PAGE LEVEL STYLES -->
    <link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css"/>
    <link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css"/>
    <!-- END PAGE LEVEL SCRIPTS -->
    <!-- BEGIN THEME STYLES -->
    <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
    <!-- END THEME STYLES -->
    <link rel="shortcut icon" href="favicon.ico"/>

</head>

<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
<!-- BEGIN HEADER -->
<div class="header navbar navbar-inverse navbar-fixed-top">
    <!-- BEGIN TOP NAVIGATION BAR -->
    <div class="header-inner">
        <!-- BEGIN LOGO -->
        <a class="navbar-brand" href="#">
            POS SYSTEM
        </a>
        <!-- END LOGO -->
        <!-- BEGIN RESPONSIVE MENU TOGGLER -->
        <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <img src="assets/img/menu-toggler.png" alt=""/>
        </a>
        <!-- END RESPONSIVE MENU TOGGLER -->
        <!-- BEGIN TOP NAVIGATION MENU -->
        <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
                <a href="index.php" class="dropdown-toggle">
                    Logout
                </a>
            </li>
        </ul>
    </div>
</div>
<!-- END HEADER -->
<div class="clearfix"></div>
<!-- BEGIN CONTAINER -->
<div class="page-container">
<?php include('menu.php'); ?>
<!-- END SIDEBAR -->
<!-- BEGIN PAGE -->
<div class="page-content">
<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->

<div class="modal fade in" id="portlet-config14" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="false" style="display: none;">
<div class="modal-dialog modal-wide">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
        </div>
        <div class="modal-body">
            <div class="scroller" style="height: 300px; overflow: hidden; width: 100%;"
                 data-always-visible="1" data-rail-visible1="1">
                <div class="row">

                    <div class="col-md-12 col-xs-12">
                        <!-- BEGIN PAGE TITLE & BREADCRUMB-->
                        <h3 class="page-title"></h3>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 col-xs-12">
                        <table></table>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn default" data-dismiss="modal">Close</button>
        </div>
    </div>
</div>

<!-- /.modal-content -->
</div>


<!-- /.modal -->
<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<!-- BEGIN STYLE CUSTOMIZER -->

<!-- END BEGIN STYLE CUSTOMIZER -->
<!-- BEGIN PAGE HEADER-->
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN PAGE TITLE & BREADCRUMB-->
        <div class="table-toolbar pull-right">
            <?php if($can_export) { ?>
                <a class="btn btn-lg green hidden-print"
                    href="<?php echo "dose_active_orders_summary_export.php?id=$st_id&qtyLeft=$qtyLeft"
                    . ($showAllStores?"&showAllStores=1" : "")
                    . (($dt1 != "" && $dt2 != "") ? "&startdate=$dt1&enddate=$dt2" : ""); ?>">Export <i
                    class="icon-print"></i>
                </a>
            <?php } ?>
        </div>

        <h3 class="page-title">
            Dose Orders Summary
        </h3>
        <!-- END PAGE TITLE & BREADCRUMB-->
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            <label class="control-label col-md-3">Change Store</label>

            <div class="col-md-3">
                <select name="changestore" class="form-control" id="changestore">
                    <option <?php if ('0' == $st_id) echo "selected=selected"; ?> value="0">All Stores</option>
                    <?php
                    $sql = "select * from stores_master s inner join emp_store e on s.store_id=e.store_id WHERE e.emp_id=$_SESSION[userid]";
                    if (!$showAllStores)
                        $sql .= " and status=0";

                    $quer = mysql_query($sql);
                    while ($r = mysql_fetch_array($quer)) {
                        ?>
                        <option value="<?php echo $r['store_id']; ?>"
                            <?php if ($r['store_id'] == $st_id) echo "selected=selected"; ?>
                            ><?php echo $r['store_name']; ?></option>
                    <?php } ?>
                </select>
            </div>
            <div class="col-md-3">
                <input type="checkbox" id="chkShowAllStores" <?php if ($showAllStores) echo "checked=true"; ?> />
                <label class="control-label" for="chkShowAllStores">Show Inactive Stores</label>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            <label class="control-label col-md-3">Date Range</label>

            <div class="col-md-3">
                <input class="form-control form-control-inline input-medium date-picker" id="dt" size="16"
                       type="text" placeholder="Start Date" value="" style="cursor:pointer">
            </div>
            <div class="col-md-3">
                <input class="form-control form-control-inline input-medium date-picker" id="dt1" size="16"
                       type="text" placeholder="End Date" value="" style="cursor:pointer">
            </div>
        </div>
    </div>
</div>
<br/>
<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            <label class="control-label col-md-3" for="qtyLeft">Qty left is less than</label>

            <div class="col-md-5">
                <input type="text" name="qtyLeft" id="qtyLeft" class="form-control" value="<?php echo $qtyLeft; ?>" />
            </div>
            <button class="btn blue" id="btnApply" >Apply</button>
        </div>
    </div>
</div>
<br/>
<!-- END PAGE HEADER-->
<!-- BEGIN PAGE CONTENT-->
<div class="row">
    <div class="col-md-12">

        <!-- Modal Windows Go Here -->

        <div class="portlet box blue">
            <div class="portlet-title">
                <div class="caption"><i class="icon-edit"></i>Dose Orders Summary</div>
            </div>

            <div class="portlet-body form">
                <div class="table-toolbar">
                    <div class="btn-group">
                        <a id="sample_editable_1_new1" href='dose_add_order.php' class="btn green";">
                            Add New <i class="icon-plus"></i>
                        </a>
                    </div>
                </div>

                <table class="table table-striped table-hover table-bordered" id="dose_table">
                    <thead>
                    <tr>
                        <th>Invoice #</th>
                        <th>Order Date</th>
                        <th>Last Update</th>
                        <th>Customer Name &amp; Phone</th>
                        <th>Product Name</th>
                        <th>Included</th>
                        <th>Ordered</th>
                        <th>Left</th>
                        <th>Add</th>
                    </tr>
                    </thead>
                    <p id="dynamic_pager_content2">
                        <tbody>
                        <?php

                        $inv_filter = "";
                        $dose_filter = "";

                        if($st_id != 0) {
                            $inv_filter .= " and it.store_id = $st_id";
                            $dose_filter .= " and (d.store_id = $st_id OR d.store_id IS NULL)";
                        } else {
                            if($showAllStores) {
                                $inv_filter .= " and it.store_id in (select store_id from emp_store where emp_id = $uid)";
                                $dose_filter .= " and (d.store_id in (select store_id from emp_store where emp_id = $uid) OR d.store_id IS NULL)";
                            }
                            else
                            {
                                $inv_filter .= " and it.store_id in (select e.store_id from stores_master s inner join emp_store e on s.store_id=e.store_id WHERE e.emp_id = $uid and status=0)";
                                $dose_filter .= " and (d.store_id in (select e.store_id from stores_master s inner join emp_store e on s.store_id=e.store_id WHERE e.emp_id = $uid and status=0) OR d.store_id IS NULL)";
                            }
                        }

                        $sql = "
SELECT h.*,
 IFNULL(total_ordered,0) total_ordered, ordered_date, last_update
FROM
(

SELECT
	c.id AS contact_id,
	c.fname,
	c.lname,
	c.phone,
	inv.`dose`,
	SUM(i.`quantity`) AS total_quantity,
	inv.`dose` * SUM(i.`quantity`) AS purchased_doses,
	i.`item_id`,
	inv.`name`,
	inv.`id` inventory_id,
	it.`id` invoice_id,
	it.invoice_num
FROM invoice_total it
INNER JOIN invoice i ON it.`id` = i.`invoice_id`
INNER JOIN inventory inv ON i.`item_id` = inv.`id`
INNER JOIN contacts c ON it.contact_id = c.`id`
WHERE NOT dose IS NULL
$inv_filter
GROUP BY c.id, c.fname, c.lname, c.phone, inv.`dose`, inv.`name`

) h LEFT JOIN
(SELECT contact_id, inventory_id, invoice_id, MAX(ordered_date) ordered_date, MAX(modified_date) last_update, SUM(amount) total_ordered, SUM(`left`) total_left FROM dose_order_details d
WHERE `status` <> 6
$dose_filter
GROUP BY contact_id, inventory_id, invoice_id
) d
ON
	d.`contact_id` = h.contact_id AND d.`inventory_id` = h.`inventory_id` AND d.`invoice_id` = h.`invoice_id`
WHERE
    (d.ordered_date $filterDate OR d.ordered_date IS NULL)
";

                        if($qtyLeft != "")
                            $sql .= " AND (purchased_doses-total_ordered) < $qtyLeft";
                        //echo $sql;
                        $sql_select = mysql_query($sql);
                        while ($row = mysql_fetch_array($sql_select)) {
                            ?>
                            <tr>
                                <td>
                                    <a href="viewinvoice.php?id=<?php echo $row['invoice_id']; ?>">#<?php echo $row['invoice_num']; ?></a>
                                </td>
                                <td><?php echo $row['ordered_date']==null ? "" : date('m/d/Y h:iA', strtotime($row['ordered_date'])); ?></td>
                                <td><?php echo $row['last_update']==null ? "" : date('m/d/Y h:iA', strtotime($row['last_update'])); ?></td>
                                <td>
                                    <a href="editcontact.php?id=<?php echo $row['contact_id']; ?>"><?php echo $row['lname'] . ', ' . $row['fname'] . ' - ' . $row['phone']; ?></a>
                                </td>
                                <td><a href="javascript:;" class="inv_details"
                                       data-contact="<?php echo $row['contact_id']; ?>"
                                       data-invoice="<?php echo $row['invoice_id']; ?>"
                                       data-inventory="<?php echo $row['inventory_id']; ?>"><?php echo $row['name']; ?></a></td>
                                <td><?php echo $row['purchased_doses']; ?></td>
                                <td><?php echo $row['total_ordered']; ?></td>
                                <td><?php echo $row['purchased_doses'] - $row['total_ordered']; ?></td>
                                <td><?php echo "<a href='dose_add_order.php?inv=$row[invoice_id]&iid=$row[inventory_id]&callSource=sum'>Add New</a>"; ?></td>
                            </tr>
                        <?php } ?>

                        </tbody>
                    </p>
                </table>


            </div>

        </div>

    </div>


    <!-- END PAGE CONTENT-->
</div>
<!-- END PAGE -->
</div>

<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
<div class="footer">
    <div class="footer-inner">
        2013 &copy; Metronic by keenthemes.
    </div>
    <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
    </div>
</div>

<!-- END FOOTER -->
<!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->
<!-- BEGIN CORE PLUGINS -->
<!--[if lt IE 9]>
<script src="assets/plugins/respond.min.js"></script>
<script src="assets/plugins/excanvas.min.js"></script>
<![endif]-->
<script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>
<!-- IMPORTANT! Load jquery-ui-1.10.1.custom.min.js before bootstrap.min.js to fix bootstrap tooltip conflict with jquery ui tooltip -->
<script src="assets/plugins/jquery-ui/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
        type="text/javascript"></script>
<script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
<script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript"></script>
<!-- END CORE PLUGINS -->
<!-- BEGIN PAGE LEVEL PLUGINS -->
<script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.quicksearch.js"></script>
<script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.quicksearch.js"></script>

<script type="text/javascript" src="assets/plugins/data-tables/jquery.dataTables.js"></script>
<script type="text/javascript" src="assets/plugins/data-tables/DT_bootstrap.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>

<!-- END PAGE LEVEL PLUGINS -->
<!-- BEGIN PAGE LEVEL SCRIPTS -->
<script src="assets/scripts/app.js"></script>
<script src="assets/scripts/form-samples.js"></script>
<script src="assets/scripts/form-components.js"></script>
<script src="assets/scripts/table-editable.js"></script>

<!-- END PAGE LEVEL SCRIPTS -->
<script>
    jQuery(document).ready(function () {
        // initiate layout and plugins
        App.init();
        TableEditable.init();

        $('#dose_table').dataTable({"aaSorting": [[2, 'desc']]}).fnDraw();
    });

    $('#changestore').change(function () {
        location.href = buildUrl();;
    });

    $('#chkShowAllStores').change(function () {
        location.href = buildUrl();
    });

    $('#btnApply').click(function () {
        location.href = buildUrl();
    });

    function buildUrl(){
        var store = $('#changestore').val();
        var qtyLeft = $('#qtyLeft').val();

        var showAllStores = $('#chkShowAllStores')[0].checked;
        var a = $('#dt').val();
        var b = $('#dt1').val();

        var url = "?id=" + store;
        if(showAllStores)
            url += "&showAllStores=1";
        if(qtyLeft != '')
            url += "&qtyLeft="+qtyLeft;

        if(a!= "" && b != "")
            url += '&startdate=' + a + '&enddate=' + b;

        return "dose_active_orders_summary.php" +  url;
    }

    $('#dt').datepicker({
        startDate: "2014-01-01"
    });

    $('#dt1').datepicker({
        startDate: "2014-01-01"
    });

    <?php
     if (isset($_GET['startdate'])) { ?>
    $('#dt').data().datepicker.setDate(new Date('<?php echo $_GET['startdate']; ?>'))
    $('#dt').data().datepicker.update();
    <?php }
    if (isset($_GET['enddate'])) { ?>
    $('#dt1').data().datepicker.setDate(new Date('<?php echo $_GET['enddate']; ?>'))
    $('#dt1').data().datepicker.update();
    <?php } ?>


    $('#dt1').change(function () {
        location.href = buildUrl();
    });

    $(".inv_details").click(function(){
        var contact = $(this).data('contact');
        var invoice = $(this).data('invoice');
        var inventory = $(this).data('inventory');

        $.ajax({
            type: 'POST',
            data: {contact: contact, invoice: invoice, inventory: inventory},
            url: 'dose_orderinfo.php',
            success: function (html) {
                $('#portlet-config14 table').html(html);
                $('#portlet-config14').modal('show');

                $('#portlet-config14 table').addClass('table')
                    .addClass('table-hover')
                    .addClass('table-bordered')
                    .dataTable({"aaSorting": [[2, 'desc']], "bDestroy": true}).fnDraw();
            }
        });
    });

</script>

<!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>