<?php
require_once 'includes/helpers.php';
$authentication = new Authentication();
$role = $_SESSION["role"];
$storeId = $_SESSION["store_id"];

$can_write = $authentication->CanWrite($role, Modules::ROOMS);
$can_delete = $authentication->CanDelete($role, Modules::ROOMS);

SetTimeZone();

$utils = new HelperUtils();

$tdate = date('Y-m-d');

function getAge($birthdate, $tdate)
{
    if ($birthdate == "") return 0;
    $adjust = (date("md") >= date("md", strtotime($birthdate))) ? 0 : -1;
    $years = date("Y") - date("Y", strtotime($birthdate));
    return $years + $adjust;
}

?>
<!DOCTYPE html>
<!--
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8"/>
    <title>Rooms</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap-summernote/summernote.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css"/>
    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN PAGE LEVEL STYLES -->
    <link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css"/>
    <link rel="stylesheet" type="text/css" href="assets/plugins/jquery-multi-select/css/multi-select.css"/>
    <!-- END PAGE LEVEL SCRIPTS -->
    <!-- BEGIN THEME STYLES -->
    <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
    <!-- END THEME STYLES -->
    <link rel="shortcut icon" href="favicon.ico"/>
</head>

<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
<!-- BEGIN HEADER -->
<div class="header navbar navbar-inverse navbar-fixed-top">
    <!-- BEGIN TOP NAVIGATION BAR -->
    <div class="header-inner">
        <!-- BEGIN LOGO -->
        <a class="navbar-brand" href="#">
            POS SYSTEM
        </a>
        <!-- END LOGO -->
        <!-- BEGIN RESPONSIVE MENU TOGGLER -->
        <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <img src="assets/img/menu-toggler.png" alt=""/>
        </a>
        <!-- END RESPONSIVE MENU TOGGLER -->
        <!-- BEGIN TOP NAVIGATION MENU -->
        <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
                <a href="index.php" class="dropdown-toggle">
                    Logout
                </a>
            </li>
        </ul>
    </div>
</div>
<!-- END HEADER -->
<div class="clearfix"></div>
<!-- BEGIN CONTAINER -->
<div class="page-container">
    <?php include('menu.php'); ?>
    <!-- END SIDEBAR -->
    <!-- BEGIN PAGE -->
    <div class="page-content">
        <!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->

        <!-- /.modal -->
        <!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
        <!-- BEGIN STYLE CUSTOMIZER -->

        <!-- END BEGIN STYLE CUSTOMIZER -->
        <!-- BEGIN PAGE HEADER-->
        <div class="row">
            <div class="col-md-12">
                <!-- BEGIN PAGE TITLE & BREADCRUMB-->
                <h3 class="page-title">
                    Rooms
                </h3>

                <!-- END PAGE TITLE & BREADCRUMB-->
            </div>
        </div>
        <!-- END PAGE HEADER-->

        <!-- BEGIN PAGE CONTENT-->
        <div class="row">
            <div class="col-md-12">

                <!-- Modal Windows Go Here -->

                <div class="portlet box blue">
                    <div class="portlet-title">
                        <div class="caption"><i class="icon-edit"></i>List of Rooms</div>
                    </div>

                    <div class="portlet-body form">
                        <div class="table-toolbar">
                            <div class="btn-group">
                                <?php
                                if($authentication->CanWrite($role, Modules::ROOMS)){
                                ?>
                                <a id="sample_editable_1_new1" class="btn green"
                                   href='room_edit.php'>
                                    Add New <i class="icon-plus"></i>
                                </a>
                                <?php } ?>
                            </div>
                        </div>

                        <table class="table table-striped table-hover table-bordered" id="templates_table">
                            <thead>
                            <tr>
                                <th>Room Number</th>
                                <th>Room Name</th>
                                <th>Procedure</th>
                                <th>Status</th>
                                <th>Patient Name</th>
                                <th>Age</th>
                                <th>Doctor Name</th>
                                <th>Time Left</th>
                                <th>Register</th>
                                <?php if($can_write) echo "<th>Edit</th>"; ?>
                                <?php if($can_delete) echo "<th>Delete</th>"; ?>
                            </tr>
                            </thead>
                            <tbody>
                            <?php

                            $sql = "SELECT
                                            r.id, r.`name`
                                        AS
                                            room_name, r.`number`
                                        AS
                                            room_number,r.`store_id` , l.`date_registered`, l.`doctor_id`, d.`emp_name`
                                        AS
                                            doctor_name, l.`status_id`, s.`name`
                                        AS
                                            status_name, s.color
                                        AS
                                            status_color, l.`patient_id`, c.`id`
                                        AS
                                            contactId, c.`fname`
                                        AS
                                            patient_fname , c.lname
                                        AS
                                            patient_lname, c.`dob`
                                        AS
                                            dob,p.`name`, p.id
                                        AS
                                            duration,p.duration
                                        AS
                                            procedureId
                                        FROM
                                            rooms r
                                        LEFT JOIN
                                            latest_registrations l
                                        ON
                                            r.`id` = l.`room_id`
                                        LEFT JOIN
                                            employee_master d
                                        ON
                                            l.doctor_id = d.`emp_id`
                                        LEFT JOIN
                                            statuses s
                                        ON
                                            s.`id` = l.`status_id`
                                        LEFT JOIN
                                            contacts c
                                        ON
                                            c.`id` = l.`patient_id`
                                        LEFT JOIN
                                            `procedure` p
                                          ON
                                            s.procedure_id = p.id
                                        WHERE
                                            r.store_id = $storeId";

                            $sql_select = mysql_query($sql);

                            while ($row = mysql_fetch_array($sql_select)) {
                                ?>
                                <tr style="background-color: <?php echo $row['status_color']; ?>">
                                    <td>

                                        <a href="room_edit.php?id=<?php echo $row['id']; ?>"><?php echo $row['room_number']; ?></a>
                                    </td>
                                    <td>
                                        <a href="room_edit.php?id=<?php echo $row['id']; ?>"><?php echo $row['room_name']; ?></a>
                                    </td>
                                    <td>
                                        <a href="procedure_edit.php?id=<?php echo $row['procedureId']; ?>"><?php echo $row['name']; ?></a>
                                    </td>
                                    <td>
                                        <a href="status_edit.php?id=<?php echo $row['status_id']; ?>">
                                            <?php echo $row['status_name']; ?>
                                        </a>
                                    </td>
                                    <td>
                                        <a href="editcontact.php?id=<?php echo $row['patient_id']; ?>"><?php echo $row['patient_fname'] . " " . $row['patient_lname']; ?></a>
                                    </td>
                                    <td>
                                        <a href="editcontact.php?id=<?php echo $row['contactId']; ?>"><?php if (getAge($row['dob'], $tdate) == '0') { echo ''; } else { echo getAge($row['dob'], $tdate); } ?></a>
                                    </td>
                                    <td>
                                        <a href="editemp.php?id=<?php echo $row['doctor_id']; ?>"><?php echo $row['doctor_name']; ?></a>
                                    </td>
                                    <td>
                                        <?php
                                        $duration = $row['duration'];
                                        if($row['status_name'] == "Vacant" || $duration == 0)
                                        {
                                            echo "N/A";
                                        }
                                        else
                                        {
                                            $date_registered = strtotime($row['date_registered']);
                                            $target_time = $date_registered + $duration * 60;
                                            $current_time = strtotime(date('Y-n-j H:i:s'));

                                            $timeDiff = ($target_time - $current_time) / 60;
                                            if($timeDiff > 60)
                                            {
                                                echo floor($timeDiff/60) . " hour(s)";
                                                //echo $timeDiff;
                                            }
                                            elseif($timeDiff > 0)
                                            {
                                                echo "<span style='color:orange'>" . floor($timeDiff) . " min(s)</span>";
                                            }
                                            elseif($timeDiff == 0)
                                            {
                                                echo "<span style='color:red'>0</span>";
                                            }
                                            elseif($timeDiff > -60)
                                            {
                                                echo "<span style='color:red'>" . abs(floor($timeDiff)) . " min(s) overdue</span>";
                                            }
                                            else
                                            {
                                                echo "<span style='color:red'>". abs(floor($timeDiff/60)) . " hour(s) overdue</span>";
                                            }
                                        }
                                        ?>
                                    </td>
                                    <td><a href="patient_register.php?id=<?php echo $row['id']; ?>">Register</a></td>
                                    <td><a href="room_edit.php?id=<?php echo $row['id']; ?>">Edit</a></td>
                                    <td><a class='delete' data-id='<?php echo $row['id']; ?>' href='javascript:;'>Delete</a></td>
                                </tr>
                            <?php } ?>

                            </tbody>
                        </table>
                        <p id="dynamic_pager_content2">
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <!-- END PAGE CONTENT-->

    </div>
    <!-- END PAGE -->
    <!-- END CONTAINER -->
    <!-- BEGIN FOOTER -->
    <div class="footer">
        <div class="footer-inner">
            2013 &copy; Metronic by keenthemes.
        </div>
        <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
        </div>
    </div>

    <!-- END FOOTER -->
    <!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->
    <!-- BEGIN CORE PLUGINS -->
    <!--[if lt IE 9]>
    <script src="assets/plugins/respond.min.js"></script>
    <script src="assets/plugins/excanvas.min.js"></script>
    <![endif]-->
    <script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
    <script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>
    <!-- IMPORTANT! Load jquery-ui-1.10.1.custom.min.js before bootstrap.min.js to fix bootstrap tooltip conflict with jquery ui tooltip -->
    <script src="assets/plugins/jquery-ui/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
            type="text/javascript"></script>
    <script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
    <script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>
    <script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
    <script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript"></script>
    <!-- END CORE PLUGINS -->
    <!-- BEGIN PAGE LEVEL PLUGINS -->


    <script type="text/javascript" src="assets/plugins/fuelux/js/spinner.min.js"></script>
    <script type="text/javascript" src="assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>
    <script type="text/javascript" src="assets/plugins/jquery.input-ip-address-control-1.0.min.js"></script>

    <script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>
    <script type="text/javascript" src="assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js"></script>
    <script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.multi-select.js"></script>
    <script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.quicksearch.js"></script>

    <script type="text/javascript" src="assets/plugins/data-tables/jquery.dataTables.js"></script>
    <script type="text/javascript" src="assets/plugins/data-tables/DT_bootstrap.js"></script>
    <script type="text/javascript" src="assets/plugins/bootstrap-summernote/summernote.min.js"></script>

    <!-- END PAGE LEVEL PLUGINS -->
    <!-- BEGIN PAGE LEVEL SCRIPTS -->
    <script src="assets/scripts/app.js"></script>
    <script src="assets/scripts/form-samples.js"></script>
    <script src="assets/scripts/form-components.js"></script>
    <script src="assets/scripts/table-editable.js"></script>
    <!-- END PAGE LEVEL PLUGINS -->
    <!-- BEGIN PAGE LEVEL SCRIPTS -->
    <script src="assets/scripts/app.js"></script>
    <script src="assets/scripts/form-samples.js"></script>
    <script src="assets/scripts/form-components.js"></script>
    <!-- END PAGE LEVEL SCRIPTS -->
    <script>
        jQuery(document).ready(function () {
            // initiate layout and plugins
            App.init();
            TableEditable.init();

            $('#templates_table').dataTable({"aaSorting": [[0, 'desc']]}).fnDraw();
        });


        $('.delete').click(function () {
            var r = confirm("Are you sure you want to delete this record?");
            if (r) {
                var id = $(this).data('id');
                $.ajax({
                    type: 'POST',
                    dataType: "json",
                    data: {id: id},
                    url: 'room_delete.php',
                    success: function (data) {
                        location.href = "rooms.php";
                    },
                    error: function (e,r) {
                        event.stopPropagation();
                    }
                });
            } else {
                event.stopPropagation();
            }
        });
    </script>

    <!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>